Bug 1377369 - unable to pkg-add emacs; error running %post% for fontconfig
Summary: unable to pkg-add emacs; error running %post% for fontconfig
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm-ostree-client
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On: 1377367
Blocks: 1352154
TreeView+ depends on / blocked
 
Reported: 2016-09-19 13:41 UTC by Micah Abbott
Modified: 2016-10-28 14:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1377367
Environment:
Last Closed: 2016-10-28 14:54:26 UTC


Attachments (Terms of Use)

Description Micah Abbott 2016-09-19 13:41:44 UTC
# rpm-ostree status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.7 (2016-09-09 18:43:35)
        Commit: 347c3f5eb641e69fc602878c646cf42c4bcd5d9f36847a1f24ff8f3ec80f17b1
        OSName: rhel-atomic-host

  devel-7.3:rhel-atomic-host/7/x86_64/standard
       Version: 7.3 (2016-09-15 21:06:29)
        Commit: 8a9c08e96d6152574e6a25ce6ac63718327d9a3f75dc1408602c3259a3c94860
        OSName: rhel-atomic-host

# rpm-ostree pkg-add emacs
notice: pkg-add is a preview command and subject to change.

Downloading metadata: [=====================] 100%
Resolving dependencies... done
Will download: 112 packages (77.5 MB)

  Downloading from rhel-7-server-rpms: [=================] 100%

Importing: [==================== 100%
Checking out tree 347c3f5... done
Overlaying... done
Running %post for fontconfig...... error: Running %post for fontconfig: Executing bwrap: Child process exited with code 6

Comment 2 Colin Walters 2016-10-28 13:28:52 UTC
Yeah, though you really want emacs-nox for servers.

Comment 3 Micah Abbott 2016-10-28 13:35:55 UTC
I'm not in the emacs camp so I wasn't aware of 'emacs-nox'.  I was just probing the ability to install different packages.

I'm OK with closing this if you don't think it is worth fixing.

Comment 4 Colin Walters 2016-10-28 14:54:26 UTC
It's worth fixing, but it's a fontconfig issue.  Let's just track this in Fedora for now.


Note You need to log in before you can comment on or make changes to this bug.